package com.xjrsoft.module.ledger.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.ledger.dto.WfSubscriptionPageDto;
import com.xjrsoft.module.ledger.entity.WfSubscription;
import com.xjrsoft.module.ledger.vo.WfSubscriptionExcelVo;
import com.xjrsoft.module.ledger.vo.WfSubscriptionListInfoVo;
import com.xjrsoft.module.ledger.vo.WfSubscriptionPageVo;

import java.util.List;

/**
* @title: 物品申购
* @Author dzx
* @Date: 2024-02-19
* @Version 1.0
*/

public interface IWfSubscriptionService extends MPJBaseService<WfSubscription> {
    /**
    * 新增
    *
    * @param wfSubscription
    * @return
    */
    Boolean add(WfSubscription wfSubscription);

    /**
    * 更新
    *
    * @param wfSubscription
    * @return
    */
    Boolean update(WfSubscription wfSubscription);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    /**
     * 列表查询
     * @param page
     * @param dto
     */
    Page<WfSubscriptionPageVo> getPage(Page<WfSubscriptionPageVo> page, WfSubscriptionPageDto dto);

    /**
     * 物品清单列表查询
     * @param id
     */
    WfSubscriptionListInfoVo getSubscriptionList(Long id);

    /**
     * 列表查询
     */
    List<WfSubscriptionExcelVo> getList(WfSubscriptionPageDto dto);

    Boolean dataHandle(Long formId);
}
